from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTextMarkup(Protocol):
    def getMarkupInfoContainer(self) -> XStringKeyMap: ...
    def commitStringMarkup(self, nType: int, aIdentifier: str, nStart: int, nLength: int, xMarkupInfoContainer: XStringKeyMap) -> None: ...
    def commitTextRangeMarkup(self, nType: int, aIdentifier: str, xRange: XTextRange, xMarkupInfoContainer: XStringKeyMap) -> None: ...
